View Issue Details

IDProjectCategoryView StatusLast Update
13303Bug reports[All Projects] Survey takingpublic2018-03-21 18:46
ReporterNL3limin4t0r Assigned Tomarkusfluer  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.1.x 
Target VersionFixed in Version3.5.x 
Summary13303: Vanilla theme loads css multiple times.
Description

Selecting the vanilla theme (or extending from vanilla) for a survey loads the same css (and possibly javascript) multiple times when clicking through the different survey pages.

This issue is not present in the fruity theme, but when you extend from vanilla it is present.

Steps To Reproduce

After a clean install of LimeSurvey (Version 3.1.1+180130).

1.) Create an survey with at least 2 question groups.
2.) Make sure every question group has at least 1 question.
3.) Go to the General survey settings and select the vanilla theme.
4.) Activate or preview the survey and click until you hit at least the second question group.
5.) Open the browser inspector (Ctrl + I in Firefox) and select any element of the page. I'll used the group title.
6.) Check the css rules.

You'll notice that for every time you clicked the next button an extra css is loaded while the previous css remains present. This most likely happens since ajax is used to fetch the new page, and antecedently the css as well.

Additional Information

This issue does happen in the vanilla theme or any custom extension of the vanilla theme.

The included fruity theme (also extends vanilla) does not have this issue and I didn't test the other included themes.

Tagscss, theme, vanilla
Complete LimeSurvey version number (& build)Version 3.1.1+180130
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum 58.0.1 (64-bit)
Database & DB-Versionmysql Ver 15.1 Distrib 10.2.12-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2
Server OS (if known)Ubuntu 17.10
Webserver software & version (if known)Server version: Apache/2.4.27 (Ubuntu), Server built: 2017-09-18T15:05:48
PHP VersionPHP 7.1.11-0ubuntu0.17.10.1 (cli) (built: Nov 1 2017 16:30:52) ( NTS )

Activities

NL3limin4t0r

NL3limin4t0r

2018-02-06 13:18

reporter  

Screenshot from 2018-02-06 13-16-57.png (135,831 bytes)
NL3limin4t0r

NL3limin4t0r

2018-02-06 13:53

reporter   ~46278

Typo "Steps To Reproduce"
antecedently => accidentally

LouisGac

LouisGac

2018-02-07 11:03

manager   ~46289

that's a very good catch, thank you for that accurate testing

markusfluer

markusfluer

2018-03-09 11:48

administrator   ~46958

I coulnd't reproduce it yet, have you set anything specific in your theme options or changed anything?

NL3limin4t0r

NL3limin4t0r

2018-03-10 20:34

reporter   ~47004

I currently don't have my environment on hand. I'll get back to you Monday morning (CET) with a clean install of the newest version.

NL3limin4t0r

NL3limin4t0r

2018-03-15 10:27

reporter   ~47064

I'm sorry for my late response. I tested the issue again with a fresh 3.5.1 installation (and clean database) and I can't seem to recreate the issue either, so this issue can be closed.

c_schmitz

c_schmitz

2018-03-21 18:46

administrator   ~47160

Version 3.5.4+180320 released

Issue History

Date Modified Username Field Change
2018-02-06 13:18 NL3limin4t0r New Issue
2018-02-06 13:18 NL3limin4t0r File Added: Screenshot from 2018-02-06 13-16-57.png
2018-02-06 13:51 NL3limin4t0r Tag Attached: css
2018-02-06 13:51 NL3limin4t0r Tag Attached: theme
2018-02-06 13:51 NL3limin4t0r Tag Attached: vanilla
2018-02-06 13:53 NL3limin4t0r Note Added: 46278
2018-02-07 11:03 LouisGac Note Added: 46289
2018-03-09 11:48 markusfluer Note Added: 46958
2018-03-09 11:48 markusfluer Assigned To => markusfluer
2018-03-09 11:48 markusfluer Status new => feedback
2018-03-10 20:34 NL3limin4t0r Note Added: 47004
2018-03-10 20:34 NL3limin4t0r Status feedback => assigned
2018-03-15 10:27 NL3limin4t0r Note Added: 47064
2018-03-15 10:56 markusfluer Status assigned => resolved
2018-03-15 10:56 markusfluer Resolution open => fixed
2018-03-15 10:56 markusfluer Fixed in Version => 3.5.x
2018-03-21 18:46 c_schmitz Note Added: 47160
2018-03-21 18:46 c_schmitz Status resolved => closed